Subject: bug#3027 closed by Chong Yidong <[email-masked]> (Re: Possible bug with form-at-point in thingatpt.el)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 18 Apr 2009 03:45:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3027: Possible bug with form-at-point in thingatpt.el

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
3027: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3027
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Possible bug with form-at-point in thingatpt.el
From: Chong Yidong <[email-masked]>
To: Justin Heyes-Jones <[email-masked]>
Cc: [email-masked]
Date: Fri, 17 Apr 2009 23:42:02 -0400

> I was trying to use the function (list-at-point) on some text, for
> example
>
> '(1 2 3 a b c)
>
> No matter where I put point in this text, the function list-at-point
> returns nil.

I've checked in a fix.  Thanks for noticing this problem.

Subject: Possible bug with form-at-point in thingatpt.el
From: Justin Heyes-Jones <[email-masked]>
To: [email-masked]
Date: Fri, 17 Apr 2009 09:45:14 -0700

I was trying to use the function (list-at-point) on some text, for example

'(1 2 3 a b c)

No matter where I put point in this text, the function list-at-point
returns nil. Is this a bug, or are my expectations wrong?

I was using this code to test the function:

(defun test-lap()
  (interactive)
  (insert (format ">%s<" (list-at-point))))

Version Windows GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600) of 2008-09-06
on SOFT-MJASON
Windows XP

Thanks,

Justin Heyes0Jones